Bug 1286912 - Process Designer does not manage Intermediate CompensateEvent
Process Designer does not manage Intermediate CompensateEvent
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium
: CR1
: 6.2.1
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks: 1288023 1295514
  Show dependency treegraph
 
Reported: 2015-12-01 00:38 EST by Hiroko Miura
Modified: 2016-07-31 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295514 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
problematic business process with Intermediate CompensateEvent (2.12 KB, application/xml)
2015-12-01 00:38 EST, Hiroko Miura
no flags Details

  None (edit)
Description Hiroko Miura 2015-12-01 00:38:57 EST
Created attachment 1100717 [details]
problematic business process with Intermediate CompensateEvent

Description of problem:
In Business-Central, Process Designer can not manage Intermediate CompensateEvent correctly. same business process is displayed correctly with JBDS8.


Version-Release number of selected component (if applicable):

6.1.x.


How reproducible:

import the attached sample bpmn2 file which is included in source code archive.

i.e.
jbpm-6.2.0.Final-redhat-4/jbpm-bpmn2/src/test/resources/compensation/BPMN2-Compensation-IntermediateThrowEvent.bpmn2


Steps to Reproduce:
1. login Business Central and create business process
2. import BPMN2-Compensation-IntermediateThrowEvent.bpmn2
3.

Actual results:

diagram gets garbled and the following errors are shown.

 - Process '' [xxxxx.aaaa]: Start node '' [1] has no outgoing connection.
 - Process '' [xxxxx.aaaa]: Process has no end node.

Expected results:

diagram is displayed correctly without any error/warning

Additional info:
Comment 4 Tihomir Surdilovic 2016-01-05 20:25:59 EST
Just FYI - the attached process does not include bpmi info and cannot be just imported into designer as it is. You can recreate it quickly with designer itself to test if needed.
Comment 5 Zuzana Krejčová 2016-01-22 09:23:30 EST
The process has to be imported via git, not the import feature of the Designer (I suppose that is what the original report meant) - in both 6.1.x and 6.2.1. That should be okay.
The process now doesn't open in the full Designer, but in an XML editor, where it is editable - since it is missing BPMNDI information, as Tihomir pointed out. This is a big improvement over 6.1.x and I think a result of other BZs as well.
The server log no longer contains the errors.

Note You need to log in before you can comment on or make changes to this bug.